#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	make-ca
Version		:	1.14
Release		:	17.0.10.rel%{?dist}
Summary		:	The Mozilla CA root certificate bundle
Group		:	System Environment/Base

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv3
URL		:	https://github.com/lfs-book/make-ca/

Source0		:	%{name}-%{version}.tar.gz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch

Requires	:	glibc
Requires	:	nss
Requires	:	openssl
Requires	:	p11-kit-trust
#-----------------------------------------------------------------------------
%description
Public Key Infrastructure (PKI) is a method to validate the authenticity
of an otherwise unknown entity across untrusted networks. PKI works by
establishing a chain of trust, rather than trusting each individual host
or entity explicitly. In order for a certificate presented by a remote
entity to be trusted, that certificate must present a complete chain of
certificates that can be validated using the root certificate of a
Certificate Authority (CA) that is trusted by the local machine.

Establishing trust with a CA involves validating things like company address,
ownership, contact information, etc., and ensuring that the CA has followed
best practices, such as undergoing periodic security audits by independent
investigators and maintaining an always available certificate revocation list.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc LICENSE README
%{_sysconfdir}/%{name}/%{name}.conf.dist
%{_sysconfdir}/%{name}/CS.txt
%{_sysconfdir}/%{name}/mozilla-ca-root.pem
%{_sysconfdir}/ssl
%{_sysconfdir}/pki/anchors.md5sums
%{_sysconfdir}/pki/tls
%{_sysconfdir}/pki/anchors/*.p11-kit
%{_sysconfdir}/cron.weekly/%{name}.cron
%{_libexecdir}/%{name}/copy-trust-modifications
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

sed -i							\
   -e "/BUNDLEDIR/s/certs/make-ca/"			\
   make-ca


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__mv} 						\
	%{name}-ok_addon/etc/pki			\
	%{buildroot}%{_sysconfdir}

#to be compatible with various way to set certificate
%{__ln_s}						\
	./pki/tls					\
	%{buildroot}%{_sysconfdir}/ssl

#creating the certstore
%{__ln_s}						\
	./make-ca/ca-bundle.crt				\
	%{buildroot}%{_sysconfdir}/pki/tls/cert.pem

#store the fcron directive
%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.weekly
%{__cp}							\
	%{name}-ok_addon/%{name}.cron			\
	%{buildroot}%{_sysconfdir}/cron.weekly
	

#-----------------------------------------------------------------------------
%changelog
